Cyberduck Mountain Duck CLI

#7737 closed defect (fixed)

Empty directory listing

Reported by: x6tus Owned by: dkocher
Priority: normal Milestone: 4.4.4
Component: ftp Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.9

Description

Hi there, I have today upgraded from Cyberduck v4.3.1 to the latest v4.4.3 and now my FTPS connection to a Windows 2012 Server has stopped working correctly.

By that I mean Cyberduck connects but does not show a directory listing. If I then drag a file to Cyberduck to upload, it appears to go through the upload process and complete, but on viewing the upload folder on the destination server nothing is there.

I have now reverted to v4.3.1 and everything is working fine again.

Change History (10)

comment:1 Changed on Jan 16, 2014 at 1:08:32 PM by dkocher

Please post the transcript from the log drawer (⌘-L).

comment:2 Changed on Jan 16, 2014 at 2:05:47 PM by x6tus

here you go...

NOOP
200 NOOP command successful.
CWD /
250 CWD command successful.
TYPE A
200 Type set to A.
PASV
227 Entering Passive Mode (111,222,333,444,193,71).
LIST
125 Data connection already open; Transfer starting.
226 Transfer complete.

As you can see it appears to upload successfully but no file actually is on the server.

Last edited on Jan 17, 2014 at 10:08:05 AM by x6tus (previous) (diff)

comment:3 follow-up: Changed on Jan 16, 2014 at 2:19:01 PM by dkocher

Can you please post the transcript when working with version 4.3.1 for comparison.

comment:4 in reply to: ↑ 3 Changed on Jan 16, 2014 at 2:28:18 PM by x6tus

Ok, ignore my previous transcript. I have captured the full detail of the two versions below.

comment:5 Changed on Jan 16, 2014 at 2:28:29 PM by x6tus

v4.3.1

220 Microsoft FTP Service
AUTH TLS
234 AUTH command ok. Expecting TLS Negotiation.
USER staging
331 Password required
PASS ********
230 User logged in.
PBSZ 0
200 PBSZ command successful.
PROT P
200 PROT command successful.
FEAT
211-Extended features supported:

 LANG EN*

 UTF8

 AUTH TLS;TLS-C;SSL;TLS-P;

 PBSZ

 PROT C;P;

 CCC

 HOST

 SIZE

 MDTM

 REST STREAM

211 END
OPTS UTF8 ON
200 OPTS UTF8 command successful - UTF8 encoding now ON.
PWD
257 "/" is current directory.
NOOP
200 NOOP command successful.
SYST
215 Windows_NT
CWD /
250 CWD command successful.
TYPE A
200 Type set to A.
PASV
227 Entering Passive Mode (111,222,333,444,193,75).
LIST -a
125 Data connection already open; Transfer starting.
226 Transfer complete.
PASV
227 Entering Passive Mode (111,222,333,444,193,76).
LIST
125 Data connection already open; Transfer starting.
226 Transfer complete.
NOOP
200 NOOP command successful.
CWD /
250 CWD command successful.
TYPE A
200 Type set to A.
PASV
227 Entering Passive Mode (111,222,333,444,193,80).
LIST -a
125 Data connection already open; Transfer starting.
01-16-14  02:20PM              1238960 Services.zip
226 Transfer complete.

Last edited on Jan 17, 2014 at 10:09:07 AM by x6tus (previous) (diff)

comment:6 Changed on Jan 16, 2014 at 2:28:39 PM by x6tus

v4.4.3

220 Microsoft FTP Service
AUTH TLS
234 AUTH command ok. Expecting TLS Negotiation.
USER staging
331 Password required
PASS ********
230 User logged in.
PBSZ 0
200 PBSZ command successful.
PROT P
200 PROT command successful.
FEAT
211-Extended features supported:

 LANG EN*

 UTF8

 AUTH TLS;TLS-C;SSL;TLS-P;

 PBSZ

 PROT C;P;

 CCC

 HOST

 SIZE

 MDTM

 REST STREAM

211 END
OPTS UTF8 ON
200 OPTS UTF8 command successful - UTF8 encoding now ON.
SYST
215 Windows_NT
PWD
257 "/" is current directory.
CWD /
250 CWD command successful.
TYPE A
200 Type set to A.
PASV
227 Entering Passive Mode (111,222,333,444,193,89).
LIST -a
125 Data connection already open; Transfer starting.
226 Transfer complete.
CWD /
250 CWD command successful.
TYPE A
200 Type set to A.
PASV
227 Entering Passive Mode (111,222,333,444,193,90).
LIST
125 Data connection already open; Transfer starting.
226 Transfer complete.
NOOP
200 NOOP command successful.
CWD /
250 CWD command successful.
TYPE A
200 Type set to A.
PASV
227 Entering Passive Mode (111,222,333,444,193,94).
LIST
125 Data connection already open; Transfer starting.
226 Transfer complete.

Last edited on Jan 17, 2014 at 10:10:00 AM by x6tus (previous) (diff)

comment:7 Changed on Jan 16, 2014 at 2:29:26 PM by x6tus

SYST 215 Windows_NT seems to be the only difference.

comment:8 Changed on Jan 21, 2014 at 12:19:28 PM by dkocher

  • Component changed from core to ftp
  • Owner set to dkocher

comment:9 Changed on Jan 21, 2014 at 8:37:10 PM by dkocher

The server does only return a directory listing for LIST -a but not for LIST. Because it looks like LIST -a is not supported because the initial directory listing before the upload is empty, the use of LIST -a is disabled for subsequent directory listings and thus the listing is empty after the upload.

comment:10 Changed on Jan 21, 2014 at 8:39:27 PM by dkocher

  • Milestone set to 4.4.4
  • Resolution set to fixed
  • Status changed from new to closed
  • Summary changed from Upgraded from 4.3.1 to 4.4.3 and FTPS has stopped working to Empty directory listing

In r14225.

Note: See TracTickets for help on using tickets.
swiss made software